base-compat-0.14.1: A compatibility layer for base

Safe Haskell | Trustworthy
Language | Haskell2010

Numeric.Natural.Compat

Synopsis

- module Numeric.Natural
- minusNaturalMaybe :: Natural -> Natural -> Maybe Natural

# Documentation

module Numeric.Natural

minusNaturalMaybe :: Natural -> Natural -> Maybe Natural Source #

`Natural` subtraction. Returns `Nothing`s for non-positive results.

Since: base-4.8.0.0